Groovy Documentation

## org.codehaus.groovy.grails.web.converters.configuration
[Java] Class ChainedConverterConfiguration.ChainedObjectMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.configuration.ChainedConverterConfiguration.ChainedObjectMarshaller

All Implemented Interfaces:
  ObjectMarshaller

    @SuppressWarnings("hiding")
    public class ChainedConverterConfiguration.ChainedObjectMarshaller

Constructor Summary
`ChainedConverterConfiguration.ChainedObjectMarshaller(ObjectMarshaller om, ChainedObjectMarshaller next)`

Method Summary
`ObjectMarshaller` | `findMarhallerFor(java.lang.Object o)`
`void` | `marshalObject(java.lang.Object object, C converter)`
`boolean` | `supports(java.lang.Object object)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ChainedConverterConfiguration.ChainedObjectMarshaller

    public ChainedConverterConfiguration.ChainedObjectMarshaller(ObjectMarshaller om, ChainedObjectMarshaller next)

Method Detail

### findMarhallerFor

    public ObjectMarshaller findMarhallerFor(java.lang.Object o)

### marshalObject

    public void marshalObject(java.lang.Object object, C converter)

### supports

    public boolean supports(java.lang.Object object)

Groovy Documentation